void main() {
   /* V1.0  August 14, 1992.  T. S. Trondsen */
   
   int mn,yr;
   double dy;
   int hr,m,s;
   double lsn,rsn,ehp;
   double deps,dpsi;
   double ra,dec;
   double ha;
   double aha,adec;
   double alt,az;
   double pressure,temp;
   double mjd,mjd_day,epoch_mjd;
   double utc,gst;
   double lst;
   double longitude,latitude,height;  
   int i;

   yr =1992;  
   mn =8;
   dy =12;
   hr =19;
   m  =41;
   s  =00; 
   longitude = -114.1313889;
   latitude =51.080000000;
   height =1115.4; 
   pressure =1000; /* mBar*/
   temp =10;       /* Celsius */

   latitude =degrad(latitude);                /* convert latitude to radians */
   sex_dec(hr,m,s,&utc);                      /* convert UT to decimal repr. */
   cal_mjd(mn,dy,yr,&mjd_day);                /* return modified Julian date */
   mjd = mjd_day + (utc/24);            /* add UT time in fractions of a day */
   utc_gst(mjd_day,utc,&gst);     /* find greenwich mean sidereal time, *gst */
   lst =gst + deghr(longitude);              /* now find local sidereal time */
   range(&lst,24.0);                                  /* keep it within 24 h */
   printf("\n\r");
   printf("BRIGHT STAR CATALOG\n\r");
   printf("===================\n\r");
   printf("\n\r");
   printf("Julian Date        : %f\n\r",mjd+2415020.0);
   printf("Local Sidereal Time: %f\n\r",lst);
   printf("\n\r");
   printf("        Name     R.A.   Decl.  Azimuth  Zenith Angle \n\r");
   printf("--------------------------------------------------------\n\r");
   for(i =0; i <= NUMBER_OF_STARS-1; i +=1) {
     ra =hrrad(Catalog[i].RA);                             /* Right Asc. */
     dec =degrad(Catalog[i].DEC);                         /* Declination */
     year_mjd(Catalog[i].Epoch,&epoch_mjd);         /* find mjd of epoch */
     precess(epoch_mjd,mjd,&ra,&dec);                    /* precess star */
     ha =hrrad(lst) - ra;                             /* find hour angle */
     hadec_aa(latitude,ha,dec,&alt,&az);    /* convert to horizon coords */
     refract(pressure,temp,alt,&alt);          /* correct for refraction */
     Catalog[i].AZ =raddeg(az);
     Catalog[i].ZenithAng = 90 - raddeg(alt);   /* Zenith Angle = 90-alt */
     printf("%12s %7.1f %7.1f",Catalog[i].PopName,Catalog[i].RA,Catalog[i].DEC);
     printf(" %7.1f %7.1f\n\r",Catalog[i].AZ,Catalog[i].ZenithAng);
   }
printf("\n\r");
exit(0);
}
