void main() {

   /* V1.1 August 14, 1992.  T. S. Trondsen */

   int mn,yr;
   double dy;
   int hr,m,s;
   double lsn,rsn,ehp;
   double deps,dpsi;
   double ra,dec;
   double ha;
   double aha,adec;
   double alt,az;
   double pressure,temp;
   double mjd,mjd_day;
   double utc,gst;
   double lst;
   double longitude,latitude,height;  

   yr =1992;  
   mn =8;
   dy =12;
   hr =19;
   m  =41;
   s  =00; 
   longitude = -114.1313889;
   latitude =51.080000000;
   height =1115.4; 
   pressure =1000; /*mBar*/
   temp =10; /* Celsius */

   sex_dec(hr,m,s,&utc);                      /* convert UT to decimal repr. */
   cal_mjd(mn,dy,yr,&mjd_day);                /* return modified Julian date */
   mjd = mjd_day + (utc/24);            /* add UT time in fractions of a day */
   sunpos(mjd,&lsn,&rsn);                   /* return true exl long and dist */
   nutation(mjd,&deps,&dpsi);     /* deps: nutat in obl, dpsi: nutat in long */
   lsn += dpsi;                      /* correct longitude (lam) for nutation */
   lsn -= degrad(20.4/3600);                            /* light travel time */
   ecl_eq(mjd,0.0,lsn,&ra,&dec);             /* convert to equatorial coords */
   utc_gst(mjd_day,utc,&gst);     /* find greenwich mean sidereal time, *gst */
   lst =gst + deghr(longitude);              /* now find local sidereal time */
   range(&lst,24.0);                                  /* keep it within 24 h */
   ha =hrrad(lst) - ra;                                   /* find hour angle */
   latitude =degrad(latitude);                /* convert latitude to radians */
   height /=6378140.0;                /* heigh as a fraction of earth radius */
   ehp = (2.0 * 6378.0 / 146.0e6) / rsn;
   ta_par(ha,dec,latitude,height,ehp,&aha,&adec); /* correct for geoc parllx */
   hadec_aa(latitude,aha,adec,&alt,&az);        /* convert to horizon coords */
   refract(pressure,temp,alt,&alt);               /* correct for refraction. */
   printf("SOLAR EPHEMERIS:\n\r");
   printf("-------------------------------------\n\r");
   printf("Julian Date %f \n\r",mjd+2415020.0);
   printf("ECL LONG: %f, ECL LAT: 0.0 \n\r",lsn);
   printf("RIGHT ASC: %f, DECL: %f \n\r",radhr(ra),raddeg(dec));
   printf("Local Sidereal Time: %f\n\r",lst);
   printf("Hour Angle: %f\n\r",ha);
   printf("ALT: %f,  AZ: %f\n\r",raddeg(alt),raddeg(az));

}
